﻿using Plane.FormationCreator.Formation;
using Plane.FormationCreator.Views;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Effects;

namespace Plane.FormationCreator.Converters
{
    public class FlightTaskIsSelectedToEffectConverter : IValueConverter
    {
        static DropShadowEffect _effect = new DropShadowEffect
        {
            //任务选中颜色
            Color = Colors.Azure, // Colors.LightGray,
            // Color = Colors.White,
            Direction = 90,
            BlurRadius = 10
        };
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var selected = (bool)value;
            return selected ? _effect : null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
